#ifndef StateReset_h
#define StateReset_h

#include "StateHandler.h"
#include "Arduino.h"


/**
 * Reset state
 *
 * Shows a menu providing reset options. A confirms the
 * selection, B switches to the next.
**/
class ResetState : public AbstractStateHandler
{
  private:
    bool intro;
    unsigned long introStart;
    bool outro;
    unsigned long outroStart;
    byte selected;

  protected:
    void loopOutro();

  public:
    void setup();
    void loop();
};

#endif